## javax.ws.rs.ext
Interface ContextResolver<T>

    public interface ContextResolver<T>

Contract for a provider that supplies context information to resource classes and other providers. An implementation of this interface must be annotated with `Provider`. A `ContextResolver` implementation may be annotated with `Produces` to restrict the media types for which it will be considered suitable.

See Also:
  `Context`, `Providers.getContextResolver(java.lang.Class, javax.ws.rs.core.MediaType)`, `Provider`, `Produces`

Method Summary
`T` | `getContext(java.lang.Class<?> type)` Get a context of type `T` that is applicable to the supplied type.

Method Detail

### getContext

    T getContext(java.lang.Class<?> type)

  Get a context of type `T` that is applicable to the supplied type.

  Parameters:
    `type` - the class of object for which a context is desired
  Returns:
    a context for the supplied type or `null` if a context for the supplied type is not available from this provider.

Copyright © 2017 Oracle Corporation. All Rights Reserved.